*
{
    transition: all 0.15s;
}

body
{
    overflow-x: hidden;
}

h1
{
    text-align: center;
    margin: 0;
    font-size: 56px;
}

h2
{
    text-align: center;
    margin: 0;
    font-size: 48px;
}

h3
{
    text-align: center;
    margin: 0;
    font-size: 40px;
}

p
{
    text-align: center;
    margin: 0;
    font-size: 24px;
}

label
{
    font-size: 32px;
}

input
{
    font-size: 32px;
    -moz-appearance: textfield;
    appearance: textfield;
    border-radius: 0.25em;
    width: 3em;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button
{
    -webkit-appearance: none;
    margin: 0;
}

#flow
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    width: 100%;
    margin: 0;
    padding: 0;
}

#dogshitFuckingDivider
{
    width: 95%;
    margin: 1em 0;
    border-bottom: 2px solid black;
}

#horiFlow
{
    display: grid;
    grid-template-columns: 60% 2px auto;
    width: 100%;
    margin: 0;
}

#horiFlow > div
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#gamePlay
{
    height: fit-content;
    max-width: 100%;
}

#awesomeFuckingDivider
{
    border-right: 2px solid black;
    height: 100%;
}

#howToPlay
{
    height: fit-content;
    max-width: 100%;
    margin: 0 0.5em;
}

#settings
{
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#settings > .setting
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: 0.5em 0;
    gap: 1em;
    max-width: 100%;
}

#startButton
{
    padding: 1em;
    background-color: lightblue;
    border-radius: 0.5em;
}

#startButton:hover
{
    scale: 1.1;
    cursor: pointer;
}

#minesweeper
{
    display: none;
    width: 100%;
    max-width: 48em;
    margin: 1em;

    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#dipsterGrid
{
    display: grid;
    width: 95%;
}

.sweeperSquare
{
    border: 2px solid black;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    container-type: inline-size;

    display: flex;
    justify-content: center;
    align-items: center;
}

.sweeperSquare:not(.revealed):hover
{
    cursor: pointer;
}

.sweeperSquare > *
{
    width: 100%;
    max-width: 10em;
    text-align: center;
    font-size: min(64px, 100cqi);
    margin: 0;
}

footer
{
    margin: auto 1em;
    margin-top: 2em;
}

footer > *
{
    text-align: left;
}

@media only screen and (max-width: 850px)
{
    p
    {
        font-size: 16px;
    }

    h1
    {
        font-size: 40px;
    }

    h2
    {
        font-size: 32px;
    }

    h3
    {
        font-size: 24px;
    }

    #horiFlow
    {
        grid-template-columns: none;
        gap: 1em;
    }
}
